## DmapAvShare

DmapAvShare — A DAAP share.

## Functions

DmapAvShare * | dmap_av_share_new ()

## Object Hierarchy

        GObject
        ╰── DmapShare
            ╰── DmapAvShare

## Description

DmapAvShare objects encapsulate a DAAP share.

## Functions

### dmap_av_share_new ()

    DmapAvShare *
    dmap_av_share_new (const char *name,
                       const char *password,
                       DmapDb *db,
                       DmapContainerDb *container_db,
                       gchar *transcode_mimetype);

Creates a new DAAP share and publishes it using mDNS.

#### Parameters

name | The name that will be published by mDNS. |
password | A share password or NULL. | [nullable]
db | A media database. |
container_db | A container (album) database. |
transcode_mimetype | A transcode mimetype or NULL. | [nullable]

#### Returns

a pointer to a DmapAvShare.